Partner - Store secure encrypted files
curl --request POST \
--url https://service.uat-keys.coincover.com/v1/partner/secure/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'public_key=<string>' \
--form file='@example-file' \
--form 'metadata={
"description": "<string>",
"content_type": "<string>",
"original_filename": "<string>"
}'import requests
url = "https://service.uat-keys.coincover.com/v1/partner/secure/file"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"public_key": "<string>",
"metadata": "{
\"description\": \"<string>\",
\"content_type\": \"<string>\",
\"original_filename\": \"<string>\"
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('public_key', '<string>');
form.append('file', '<string>');
form.append('metadata', '{
"description": "<string>",
"content_type": "<string>",
"original_filename": "<string>"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://service.uat-keys.coincover.com/v1/partner/secure/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_type": "file",
"metadata": {}
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}Backups
Partner - Store secure encrypted files
Stores encrypted files securely. The key environment is determined from the provided key. The file must already be encrypted on the partner side; CoinCover applies no additional server-side encryption. Maximum payload 10MB. Partner-only endpoint.
POST
/
v1
/
partner
/
secure
/
file
Partner - Store secure encrypted files
Authorizations
Bearer token authentication. Can be either a JWT token or API key.
Headers
Bearer token for authentication. Can be either a JWT token or API key.
Body
multipart/form-data
Secure file and metadata
⌘I